[ROM][I9190/I9192/I9195][Unofficial][11.0.0] LineageOS 18.1 for S4 Mini

Search This thread

BeeJ1109

Senior Member
Sep 26, 2015
176
49
Adelaide
I 9195 T model is International LTE with larger battery 2100mAh, instead of 1900mAh. Requires battery to have NFC Antenna, as per original supplied battery. But many Cells build in Chinese Replacements are missing the NFC antenna. If Correct NFC battery is installed. NFC WORKS.
Cheers BJ
 

BigOneT

Member
Jun 21, 2017
32
14
@arco68 i Rise My Glass for your great work!!!! A over 8 years old smartphone thats fantastic !!!!

I have 2 questions: First, will be there an update to A12 ?
and is there a Android version without apps (because i only need Aurora and F-Droid for Apps) ?
 

brt_ibk

New member
Jan 18, 2022
3
0
Innsbruck, Austria
First of all: big thanks to the author for keeping the mini alive!
Then also thanks to everyone in the forum for the vivid discussion and exchange!

Installed 18.1 some time ago and lately updated to "lineage-18.1-20211215-UNOFFICIAL-serranoltexx.zip"
Two issues remained and just wanted to ask if someone else shares these experiences and maybe has a solution:

1 bluetooth
Connecting to a bluetooth device by clicking the symbol in the status bar fails sometimes. No problem so far, i also had this in LoS16. A long press on the symbol would open the "connected devices" in settings. This last part no longer works for me in 18.1. When pressing the symbol, the status bar disappears and nothing else happens. So i have to open the "connected devices" manually via settings app.

2 playlists in audio apps
I am using Phonograph audio player. Since upgrading to LoS18.1. Phonograph is unable to add titles to playlists. First I thought it´s a bug in Phonograph, but then I realised the same happens with Eleven, Lineage´s built in audio player. I updated both players to the latest versions without any success in fixing the issue. Also heared some rumors that this also happens in Android 11.

Any comments about the two issues? Or ideas about a fix?
 

brt_ibk

New member
Jan 18, 2022
3
0
Innsbruck, Austria
My everyday S4mini has a Google-free LoS18.1 installation. Besides this device I have a second, identic one for experiments. On this one I would like to try to install 18.1 with a most minimalistic version Google maps without other Google Apps if possible. What would be the best way to go? OpenGApps or MindTheGApps? Never heard about BiTGApps before discovering this here forum, is it also suitable?
 

kurtn

Senior Member
Jan 28, 2017
4,510
1,980
Small town in Bavaria
My everyday S4mini has a Google-free LoS18.1 installation. Besides this device I have a second, identic one for experiments. On this one I would like to try to install 18.1 with a most minimalistic version Google maps without other Google Apps if possible. What would be the best way to go? OpenGApps or MindTheGApps? Never heard about BiTGApps before discovering this here forum, is it also suitable?
You don't need GApps for Google mapps. Officially recommend is mindthegapps.
 
This is just awesome--thank you so much for your work!

I originally got the S4 Mini just as a cheap backup phone in case of problems with my main phone (an old S6), but quickly fell in love with it. Phones have got bigger and bigger and I hate it! Meanwhile, my stock S6 is now too old to install things I need, even the humble Royal Mail UK app, so I was thinking of getting a new phone--and a smaller one at that, as even the S6 is far too big and unwieldy for me--but today, even the so-called mini phones are bigger than my S6. I was pretty cheesed off wondering what to do.

Now I have a beautiful phone in the S4 Mini with your customized Lineage Android 11 ROM. It might not be quite as snappy and responsive as today's kit, but it does everything I wan, jumping me forward by 4 versions from my previous limit of Android 7. Thank you so much and keep up the fantastic work! :)
 
  • Like
Reactions: MrGoodtunes

MrGoodtunes

Senior Member
Nov 8, 2007
419
155
South Florida
Totally agree with you @petera703 re S4mini; but carriers here in USA are all requiring VoLTE. So I have been forced to move on; I chose the least of the heavy weight evils, S10e. Meanwhile, I still have four S4mini's that I use regularly for various dedicated purposes (running OS's by @arco68 on 3 of them). For example, one is mounted to the dash of my car:

DashPlayer.jpg
 
  • Like
Reactions: petera703

rho-bot

Senior Member
Jul 1, 2017
235
96
@arco68 Many thanks for your continuous maintenance on this ancient phone 😍
One question:
In opening post you still link to your custom twrp-3.5.0_9-0. Meanwhile, TWRP released twrp-3.6.0_9-0.
Which one do you recommend? Have you made essential changes, which are not upstreamed / still missing in official versions?
 

Top Liked Posts